<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('inventory_adjust_docs', function (Blueprint $table) {
            $table->foreignId('count_doc_id')
                ->after('doc_no')
                ->nullable()
                ->constrained('inventory_count_docs')
                ->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('inventory_adjust_docs', function (Blueprint $table) {
            $table->dropConstrainedForeignId('count_doc_id');
        });
    }
};
